/*-----------------------------------------------------------------------------
    Name: Flow_1
    Generated By: This is an auto generated script. You can, however, make a copy of this script using advanced script manager and enhance it.
    Date of generation: 04/16/2021 07:45:10
    Flow details:
    Build details: 4.6.0 (build# 53)
    Modification History:
-----------------------------------------------------------------------------*/

package com.cavisson.scripts.Test_split_flow;
import pacJnvmApi.NSApi;



public class Flow_1 implements NsFlow
{
    public int execute(NSApi nsApi) throws Exception
    {
        int status = 0;

        nsApi.ns_start_transaction("Transaction_1");
        nsApi.ns_web_url ("Transaction_1",
        "URL=http://10.10.30.41:8080/tours/index.html",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9",
        "HEADER=Accept-Language:en-US {uname}{upass}*****************"
        );
        nsApi.ns_end_transaction("Transaction_1", NS_AUTO_STATUS);

    status = nsApi.ns_page_think_time(0.0);

        nsApi.ns_start_transaction("Transaction_2");
        nsApi.ns_web_url ("Transaction_2",
        "URL=http://10.10.30.41:8080/cgi-bin/login?userSession=75893.0884568651DQADHfApHDHfcDtccpfAttcf&username=&password=&login.x=48&login.y=9&JSFormSubmit=off",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9"
        );
        nsApi.ns_end_transaction("Transaction_2", NS_AUTO_STATUS);

    status = nsApi.ns_page_think_time(0.0);

        nsApi.ns_start_transaction("Transaction_3");
        nsApi.ns_web_url ("Transaction_3",
        "URL=http://10.10.30.41:8080/cgi-bin/reservation",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9",
        "HEADER=Date:rtyuio******{Param123}***"
        );
        nsApi.ns_end_transaction("Transaction_3", NS_AUTO_STATUS);

    status = nsApi.ns_page_think_time(0.0);

        return status;
    }
}
